package serializers;

import com.vividsolutions.jts.geom.Geometry;
import utils.SerializerUtil;
import flexjson.JSONSerializer;
import utils.flexjson.GeometryTransformer;

import java.util.Date;

public class CaracterizacaoSerializer {
	
	public static JSONSerializer listGrid = SerializerUtil.create(
			"pageItems.id",
			"pageItems.numero",
			"pageItems.dataCadastro",
			"pageItems.tipoLicenca.id",
			"pageItems.tipoLicenca.nome",
			"pageItems.status",
			"pageItems.status.id",
			"pageItems.status.nome",
			"pageItems.atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.nome",
			"pageItems.tiposLicencaEmAndamento.nome",
			"pageItems.tiposLicencaEmAndamento.id",
			"pageItems.tiposLicencaEmAndamento.licencasFilhas",
			"pageItems.tipo.id",
			"pageItems.tipo.nome",
			"pageItems.hasNotificacao",
			"pageItems.numeroLicenca",
			"pageItems.dispensa.numero",
			"pageItems.bloqueada",
			"pageItems.processo.numero",
			"totalResults");

	public static JSONSerializer save = SerializerUtil.create(
			"dados.id",
			"texto");
	
	public static JSONSerializer createSimplificado = SerializerUtil.create(
			"id",
			"declaracaoVeracidadeInformacoes",
			"solicitacoesDocumentoCaracterizacao.id",
			"solicitacoesDocumentoCaracterizacao.obrigatorio",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.id",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.nome",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.caminhoModelo",
			"solicitacoesGruposDocumentos.id",
			"solicitacoesGruposDocumentos.obrigatorio",
			"solicitacoesGruposDocumentos.tipoDocumento.id",
			"solicitacoesGruposDocumentos.tipoDocumento.nome",
			"solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo");

	public static JSONSerializer updateSimplificado = SerializerUtil.create(
			"id",
			"declaracaoVeracidadeInformacoes",
			"solicitacoesDocumentoCaracterizacao.documento.id",
			"solicitacoesDocumentoCaracterizacao.documento.nome",
			"solicitacoesDocumentoCaracterizacao.documento.dataCadastro",
			"solicitacoesDocumentoCaracterizacao.id",
			"solicitacoesDocumentoCaracterizacao.obrigatorio",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.id",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.nome",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.codigo",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.caminhoModelo",
			"solicitacoesGruposDocumentos.documento.id",
			"solicitacoesGruposDocumentos.documento.nome",
			"solicitacoesGruposDocumentos.documento.dataCadastro",
			"solicitacoesGruposDocumentos.id",
			"solicitacoesGruposDocumentos.obrigatorio",
			"solicitacoesGruposDocumentos.tipoDocumento.id",
			"solicitacoesGruposDocumentos.tipoDocumento.nome",
			"solicitacoesGruposDocumentos.tipoDocumento.codigo",
			"solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo");

	public static JSONSerializer findDadosCaracterizacao = SerializerUtil.create(
			"id",
			"declaracaoVeracidadeInformacoes",
			"taxaPublicacao",
			"retificacao",
			"complexo",
			"descricaoAtividade",
			"etapaRascunho",
			"vigenciaSolicitada",
			"valorTotalTaxaLicenciamento",
			"tipo.nome",
			"status.id",
			"status.nome",
			"status.codigo",
			"tipoLicenca.id",
			"tipoLicenca.nome",
			"tipoLicenca.taxaAdministrativa",
			"tipoLicenca.taxaLicenca",
			"tipoLicenca.isento",
			"tipoLicenca.valorDae",
			"tipoLicenca.finalidade",
			"tipoLicenca.sigla",
			"tiposLicencaEmAndamento.id",
			"tiposLicencaEmAndamento.nome",
			"tiposLicencaEmAndamento.status",
			"tiposLicencaEmAndamento.taxaAdministrativa",
			"tiposLicencaEmAndamento.taxaLicenca",
			"tiposLicencaEmAndamento.isento",
			"tiposLicencaEmAndamento.valorDae",
			"tiposLicencaEmAndamento.sigla",
			"tiposLicencaEmAndamento.finalidade",
			"tiposLicencaEmAndamento.validadeEmAnos",
			"atividadesCaracterizacao.id",
			"atividadesCaracterizacao.isPrincipal",
			"atividadesCaracterizacao.valorTaxaLicenciamento",
			"atividadesCaracterizacao.atividade.perguntas.texto",
			"atividadesCaracterizacao.atividade.perguntas.ordem",
			"atividadesCaracterizacao.atividade.perguntas.codigo",
			"atividadesCaracterizacao.atividade.perguntas.id",
			"atividadesCaracterizacao.atividade.potencialPoluidor.nome",
			"atividadesCaracterizacao.atividade.potencialPoluidor.valorPpd",
			"atividadesCaracterizacao.atividade.tipologia.nome",
			"atividadesCaracterizacao.atividade.tiposLicenca.id",
			"atividadesCaracterizacao.atividade.tiposLicenca.nome",
			"atividadesCaracterizacao.atividade.tiposLicenca.sigla",
			"atividadesCaracterizacao.atividade.tiposLicenca.finalidade",
			"atividadesCaracterizacao.atividade.tiposLicenca.validadeEmAnos",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.id",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.valorParametro",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.id",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.codigo",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.nome",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.casasDecimais",
			"atividadesCaracterizacao.porteEmpreendimento.nome",
			"atividadesCaracterizacao.porteEmpreendimento.codigo",
			"atividadesCaracterizacao.atividade.id",
			"atividadesCaracterizacao.atividade.nome",
			"atividadesCaracterizacao.atividade.codigo",
			"atividadesCaracterizacao.atividade.temLinha",
			"atividadesCaracterizacao.atividade.temPonto",
			"atividadesCaracterizacao.atividade.temPoligono",
			"atividadesCaracterizacao.atividade.parametros.id",
			"atividadesCaracterizacao.atividade.parametros.nome",
			"atividadesCaracterizacao.atividade.parametros.codigo",
			"atividadesCaracterizacao.atividade.parametros.descricao",
			"atividadesCaracterizacao.atividade.parametros.casasDecimais",
			"atividadesCaracterizacao.atividade.parametros.valorParametro",
			"atividadesCaracterizacao.atividade.licenciamentoMunicipal",
			"atividadesCaracterizacao.atividade.limiteParametroMunicipal",
			"atividadesCaracterizacao.atividade.dentroEmpreendimento",
			"atividadesCaracterizacao.atividade.tiposAtividade.id",
			"atividadesCaracterizacao.atividade.tiposAtividade.nome",
			"atividadesCaracterizacao.atividade.tiposAtividade.codigo",
			"atividadesCaracterizacao.atividade.grupoDocumento.id",
			"atividadesCaracterizacao.atividade.tipoEstudo",
			"atividadesCaracterizacao.atividade.limites.limiteInferior",
			"atividadesCaracterizacao.atividade.limites.limiteSuperior",
			"atividadesCaracterizacao.atividade.limites.parametroAtividade.id",
			"atividadesCaracterizacao.atividade.limites.parametroAtividade.codigo",
			"atividadesCaracterizacao.atividadesCnae.id",
			"atividadesCaracterizacao.atividadesCnae.nome",
			"atividadesCaracterizacao.atividadesCnae.codigo",
			"atividadesCaracterizacao.geometriasAtividade.area",
			"atividadesCaracterizacao.geometriasAtividade.geometria",
			"atividadesCaracterizacao.porteEmpreendimentoParaCalculoDoPorte.nome",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.id",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.nome",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.obrigatorio",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento.dataCadastro",
			"solicitacoesDocumentoCaracterizacao.documento.id",
			"solicitacoesDocumentoCaracterizacao.documento.nome",
			"solicitacoesDocumentoCaracterizacao.documento.dataCadastro",
			"solicitacoesDocumentoCaracterizacao.id",
			"solicitacoesDocumentoCaracterizacao.obrigatorio",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.id",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.nome",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.codigo",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.caminhoModelo",
			"linkTaxasLicenciamento",
			"respostas.id",
			"respostas.texto",
			"respostas.codigo",
			"respostas.tipoValidacao",
			"respostas.permiteLicenciamento",
			"respostas.pergunta.id",
			"respostas.pergunta.codigo",
			"respostas.pergunta.texto",
			"processoOutorga",
			"questionario3.consumoAguaRedePublicaConsumoMedio",
			"questionario3.consumoAguaRedePublicaUsoDomestico",
			"questionario3.consumoAguaRedePublicaUsoIndustrial",
			"questionario3.consumoAguaAguaSubterraneaConsumoMedio",
			"questionario3.consumoAguaAguaSubterraneaUsoDomestico",
			"questionario3.consumoAguaAguaSubterraneaUsoIndustrial",
			"questionario3.consumoAguaAguaSuperficialConsumoMedio",
			"questionario3.consumoAguaAguaSuperficialUsoDomestico",
			"questionario3.consumoAguaAguaSuperficialUsoIndustrial",
			"questionario3.consumoAguaRedePublica",
			"questionario3.consumoAguaAguaSubterranea",
			"questionario3.consumoAguaAguaSuperficial",
			"questionario3.efluentesDomesticoVazaoMedia",
			"questionario3.efluentesDomesticoRegimeCarga",
			"questionario3.efluentesDomesticoTipoTratamentoEte",
			"questionario3.efluentesDomesticoTipoTratamentoFossaSeptica",
			//"questionario3.efluentesDomesticoTipoTratamentoFossaFiltro",
			//"questionario3.efluentesDomesticoTipoTratamentoRemocaoOleoGraxa",
			"questionario3.efluentesDomesticoTipoTratamentoOutros",
			"questionario3.efluentesDomesticoTipoTratamentoOutrosEspecificar",
			"questionario3.efluentesDomesticoDestinoFinalFossaSeptica",
			//"questionario3.efluentesDomesticoDestinoFinalFossaFiltro",
			"questionario3.efluentesDomesticoDestinoFinalEte",
			//"questionario3.efluentesDomesticoDestinoFinalRemocaoOleoGraxa",
			"questionario3.efluentesDomesticoDestinoFinalOutros",
			"questionario3.efluentesDomesticoDestinoFinalOutrosEspecificar",
			"questionario3.efluentesIndustrialVazaoMedia",
			"questionario3.efluentesIndustrialRegimeCarga",
			"questionario3.efluentesIndustrialTipoTratamentoEte",
			"questionario3.efluentesIndustrialTipoTratamentoFossaSeptica",
			"questionario3.efluentesIndustrialTipoTratamentoFossaFiltro",
			"questionario3.efluentesIndustrialTipoTratamentoRemocaoOleoGraxa",
			"questionario3.efluentesIndustrialTipoTratamentoValaDeInfiltracao",
			"questionario3.efluentesIndustrialTipoTratamentoOutros",
			"questionario3.efluentesIndustrialTipoTratamentoOutrosEspecificar",
			"questionario3.efluentesIndustrialDestinoFinalFossaSeptica",
			"questionario3.efluentesIndustrialDestinoFinalFossaFiltro",
			"questionario3.efluentesIndustrialDestinoFinalRemocaoOleoGraxa",
			"questionario3.efluentesIndustrialDestinoFinalLancamentoCorpoHidrico",
			"questionario3.efluentesIndustrialDestinoFinalValaDeInfiltracao",
			"questionario3.efluentesIndustrialDestinoFinalOutros",
			"questionario3.efluentesIndustrialDestinoFinalOutrosEspecificar",
			"questionario3.efluentesDomestico",
			"questionario3.efluentesIndustrial",
			"questionario3.residuosSolidosDomesticoQuantidadeMedia",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoCompostagem",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosDomesticoTipoColetaPublica",
			"questionario3.residuosSolidosDomesticoTipoColetaPropria",
			"questionario3.residuosSolidosDomesticoTipoColetaTerceiros",
			"questionario3.residuosSolidosDomesticoTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosEscritorioQuantidadeMedia",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosEscritorioTipoColetaPublica",
			"questionario3.residuosSolidosEscritorioTipoColetaPropria",
			"questionario3.residuosSolidosEscritorioTipoColetaTerceiros",
			"questionario3.residuosSolidosEscritorioTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosIndustrialQuantidadeMedia",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoAterroIndustrial",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoReaproveitamentoProcesso",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosIndustrialTipoColetaPublica",
			"questionario3.residuosSolidosIndustrialTipoColetaPropria",
			"questionario3.residuosSolidosIndustrialTipoColetaTerceiros",
			"questionario3.residuosSolidosIndustrialTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosIndustrialPerigososQuantidadeMedia",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroIndustrial",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaPublica",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaPropria",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaTerceiros",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosOutrosOrigem",
			"questionario3.residuosSolidosOutrosQuantidadeMedia",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosOutrosTipoColetaPublica",
			"questionario3.residuosSolidosOutrosTipoColetaPropria",
			"questionario3.residuosSolidosOutrosTipoColetaTerceiros",
			"questionario3.residuosSolidosOutrosTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosDomestico",
			"questionario3.residuosSolidosEscritorio",
			"questionario3.residuosSolidosIndustrial",
			"questionario3.residuosSolidosIndustrialPerigosos",
			"questionario3.residuosSolidosOutros",
			"questionario3.consumoAgua",
			"questionario3.efluentes",
			"questionario3.residuosSolidos",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.codigo",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimentoParaCalculoDoPorte.codigo",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimentoParaCalculoDoPorte.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.valorPpd",
			"etapaRascunho",
			"tipologia.nome",
			"tipologia.id",
			"idCaracterizacaoOrigem",
			"empreendimento.id",
			"empreendimento.empreendimentoEU.pessoa.type",
			"empreendimento.municipio.id",
			"empreendimento.municipio.estado.codigo",
			"empreendimento.municipio.estado.limite",
			"empreendimento.coordenadas",
			"empreendimento.localizacao",
			"empreendimento.imovel.limite",
			"empreendimento.imovel.codigo",
			"empreendimento.empreendimentoEU.denominacao",
			"empreendimento.empreendimentoEU.localizacao",
			"empreendimento.empreendimentoEU.localizacao.geometria",
			"renovacaoLicenca",
			"geometriasComplexo.geometria",
			"solicitacoesGruposDocumentos.documento.id",
			"solicitacoesGruposDocumentos.documento.nome",
			"solicitacoesGruposDocumentos.documento.dataCadastro",
			"solicitacoesGruposDocumentos.id",
			"solicitacoesGruposDocumentos.obrigatorio",
			"solicitacoesGruposDocumentos.tipoDocumento.id",
			"solicitacoesGruposDocumentos.tipoDocumento.nome",
			"solicitacoesGruposDocumentos.tipoDocumento.codigo",
			"solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo",
			//"valorTaxaAdministrativa",
			"notificacao.id",
			"notificacao.retificacaoSolicitacaoComGeo")
			.transform(new GeometryTransformer(), Geometry.class);

	public static JSONSerializer findDadosNotificacao = SerializerUtil.create(
			"id",
			"numero",
			"retificacao",
			"complexo",
			"notificacao.id",
			"notificacao.analiseGeo.parecer",
			"notificacao.analiseGeo.documentos.id",
			"notificacao.analiseGeo.documentos.nomeDoArquivo",
			"notificacao.analiseGeo.documentos.tipoDocumento.caminhoModelo",
			"notificacao.analiseJuridica.parecer",
			"notificacao.analiseTecnica.parecer",
			"notificacao.analiseGeo.pareceresAnalistaGeo.documentos.id",
			"notificacao.analiseGeo.pareceresAnalistaGeo.documentos.nomeDoArquivo",
			"notificacao.analiseGeo.pareceresAnalistaGeo.documentos.caminhoModelo",
			"notificacao.analiseTecnica.pareceresAnalistaTecnico.documentos.id",
			"notificacao.analiseTecnica.pareceresAnalistaTecnico.documentos.nomeDoArquivo",
			"notificacao.analiseTecnica.pareceresAnalistaTecnico.documentos.caminhoModelo",
			"notificacao.analiseDocumento.parecer",
			"notificacao.analiseDocumento.documento.id",
			"notificacao.analiseDocumento.documento.tipo.nome",
			"notificacao.documentoCorrigido",
			"notificacao.prazo",
			"notificacao.resolvido",
			"notificacao.justificativa",
			"notificacao.dataCadastro",
			"notificacao.documentos.id",
			"notificacao.documentos.nomeDoArquivo",
			"notificacao.documentacao",
			"notificacao.dataFinalNotificacao",
			"notificacao.retificacaoSolicitacao",
			"notificacao.retificacaoEmpreendimento",
			"notificacao.retificacaoSolicitacaoComGeo",
			"notificacao.justificativaDocumentacao",
			"notificacao.justificativaRetificacaoEmpreendimento",
			"notificacao.justificativaRetificacaoSolicitacao",
			"empreendimento.id",
			"empreendimento.municipio.nome",
			"empreendimento.municipio.estado.id",
			"empreendimento.municipio.estado.nome",
			"empreendimento.municipio.estado.codigo",
			"cadastrante.cpf",
			"cadastrante.cnpj",
			"cadastrante.nome",
			"cadastrante.razaoSocial",
			"status.id",
			"status.nome",
			"status.codigo")
			.transform(new GeometryTransformer(), Geometry.class)
			.transform(DateSerializer.getTransformer(), Date.class);

	public static JSONSerializer finalizar = SerializerUtil.create(
			"texto",
			"dados.id",
			"dados.numero",
			"dados.tipo.nome",
			"dados.tipoLicenca.nome",
			"dados.tipologia.nome",
			"dados.atividadesCaracterizacao.isPrincipal",
			"dados.atividadesCaracterizacao.atividade.nome",
			"dados.atividadesCaracterizacao.atividade.tipologia.nome",
			"dados.atividadesCaracterizacao.atividade.tipoEstudo",
			"dados.atividadesCaracterizacao.atividadesCnae.codigo",
			"dados.atividadesCaracterizacao.atividadesCnae.nome",
			"dados.atividadesCaracterizacao.atividade.parametros.id",
			"dados.atividadesCaracterizacao.atividade.parametros.nome",
			"dados.atividadesCaracterizacao.atividade.parametros.codigo",
			"dados.atividadesCaracterizacao.atividade.parametros.casasDecimais",
			"dados.atividadesCaracterizacao.atividade.parametros.descricao",
			"dados.atividadesCaracterizacao.atividade.parametros.valorParametro",
			"dados.atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.casasDecimais",
			"dados.atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.codigo",
			"dados.atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.descricao",
			"dados.atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.id",
			"dados.atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.nome",
			"dados.atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.valorParametro",
			"dados.atividadesCaracterizacao.atividadeCaracterizacaoParametros.valorParametro",
			"dados.atividadesCaracterizacao.porteEmpreendimento.nome",
			"dados.atividadesCaracterizacao.porteEmpreendimento.codigo",
			"dados.atividadesCaracterizacao.atividade.potencialPoluidor.valorPpd",
			"dados.dae.valor",
			"dados.dae.isento",
			"dados.dae.status",
			"dados.daeLicenciamento.valor",
			"dados.daeLicenciamento.isento",
			"dados.daeLicenciamento.status");
	
	public static JSONSerializer emAnalise = SerializerUtil.create(
			"id",
			"numero",
			"atividadesCaracterizacao.atividade.siglaSetor",
			"status.id",
			"status.nome",
			"empreendimento.id",
			"empreendimento.houveAlteracoes",
			"renovacao",
			"retificacao",
			"licencas.id",
			"licencas.ativo",
			"licencas.dataValidade",
			"idCaracterizacaoOrigem");

	public static JSONSerializer historico = SerializerUtil.createWithDateTime(
			"idCaracterizacao",
			"data",
			"nomeResponsavel");

	public static JSONSerializer create = SerializerUtil.create(
			"id",
			"numero",
			"cpfCnpjCadastrante",
			"atividadesCaracterizacao.caracterizacao.id",
			"atividadesCaracterizacao.caracterizacao.numero",
			"atividadesCaracterizacao.atividade.parametros.valorParametro",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.codigo",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimentoParaCalculoDoPorte.codigo",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimentoParaCalculoDoPorte.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.valorPpd",
			"atividadesCaracterizacao.atividade.portesAtividade.codigo",
			"atividadesCaracterizacao.atividade.portesAtividade.porteEmpreendimento",
			"atividadesCaracterizacao.atividade.portesAtividade.parametroUm",
			"atividadesCaracterizacao.atividade.portesAtividade.parametroDois",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteInferiorParametroUm",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteInferiorParametroDois",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteSuperiorParametroUm",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteSuperiorParametroDois",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteInferiorParametroUmIncluso",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteInferiorParametroDoisIncluso",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteSuperiorParametroUmIncluso",
			"atividadesCaracterizacao.atividade.portesAtividade.limiteSuperiorParametroDoisIncluso",
			"atividadesCaracterizacao.atividade.limites.limiteInferior",
			"atividadesCaracterizacao.atividade.limites.limiteSuperior",
			"atividadesCaracterizacao.atividade.limites.parametroAtividade.id",
			"atividadesCaracterizacao.atividade.limites.parametroAtividade.codigo",
			"dataCadastro",
			"processo.id",
			"processo.numero",
			"processo.caracterizacoes",
			"status.id",
			"status.nome",
			"status.codigo",
			"descricaoAtividade",
			"renovacaoLicenca",
			"tipo.nome",
			"tipo.id",
			"complexo",
			"geometriasComplexo.geometria",
			"atividadesCaracterizacao.id",
			"idRascunhoAnterior",
			"taxaPublicacao",
			"atividadesCaracterizacao.valorTaxaLicenciamento",
			"atividadesCaracterizacao.atividade.atividadesCnae.id",
			"atividadesCaracterizacao.atividade.atividadesCnae.nome",
			"atividadesCaracterizacao.atividade.atividadesCnae.codigo",
			"atividadesCaracterizacao.atividade.codigo",
			"atividadesCaracterizacao.atividade.dentroEmpreendimento",
			"atividadesCaracterizacao.atividade.dentroMunicipio",
			"atividadesCaracterizacao.atividade.grupoDocumento.id",
			"atividadesCaracterizacao.atividade.id",
			"atividadesCaracterizacao.atividade.nome",
			"atividadesCaracterizacao.atividade.tipoEstudo",
			"atividadesCaracterizacao.atividade.parametros.id",
			"atividadesCaracterizacao.atividade.parametros.nome",
			"atividadesCaracterizacao.atividade.parametros.codigo",
			"atividadesCaracterizacao.atividade.parametros.casasDecimais",
			"atividadesCaracterizacao.atividade.parametros.descricao",
			"atividadesCaracterizacao.atividade.parametros.valorParametro",
			"atividadesCaracterizacao.atividade.siglaSetor",
			"atividadesCaracterizacao.atividade.temLinha",
			"atividadesCaracterizacao.atividade.temPonto",
			"atividadesCaracterizacao.atividade.temPoligono",
			"atividadesCaracterizacao.atividade.tipologia.nome",
			"atividadesCaracterizacao.atividade.tiposAtividade.codigo",
			"atividadesCaracterizacao.atividade.tiposAtividade.nome",
			"atividadesCaracterizacao.atividade.tiposLicenca.id",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.casasDecimais",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.codigo",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.descricao",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.id",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.nome",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.valorParametro",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.valorParametro",
			"solicitacoesDocumentoCaracterizacao.id",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.nome",
			"solicitacoesDocumentoCaracterizacao.obrigatorio",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.caminhoModelo",
			"solicitacoesDocumentoCaracterizacao.documento",
			"solicitacoesDocumentoCaracterizacao.documento.dataCadastro",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.id",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.nome",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.obrigatorio",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento.dataCadastro",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.id",
			"atividadesCaracterizacao.isPrincipal",
			"atividadesCaracterizacao.caracterizacao.id",
			"atividadesCaracterizacao.geometriasAtividade.id",
			"atividadesCaracterizacao.geometriasAtividade.area",
			"atividadesCaracterizacao.geometriasAtividade.geometria",
			"empreendimento.id",
			"empreendimento.cadastrante",
			"etapaRascunho",
			"respostas.texto",
			"respostas.pergunta.texto",
			"respostas.pergunta.atividades.id",
			"respostas.pergunta.atividades.nome",
			"tiposLicencaEmAndamento.finalidade",
			"tiposLicencaEmAndamento.id",
			"tiposLicencaEmAndamento.isento",
			"tiposLicencaEmAndamento.nome",
			"tiposLicencaEmAndamento.selecionado",
			"tiposLicencaEmAndamento.sigla",
			"tiposLicencaEmAndamento.validadeEmAnos",
			"processoOutorga")
			.transform(new GeometryTransformer(), Geometry.class);

	public static JSONSerializer completo = SerializerUtil.create(
			"id",
			"descricaoAtividade",
			"vigenciaSolicitada",
			"renovacaoLicenca",
			"tipo.nome",
			"ativo",
			"retificacao",
			"complexo",
			"valorTotalTaxaLicenciamento",
			"taxaPublicacao",
			"atividadesCaracterizacao.isPrincipal",
			"atividadesCaracterizacao.valorTaxaLicenciamento",
			"atividadesCaracterizacao.atividade.tipologia.nome",
			"atividadesCaracterizacao.atividade.parametros.nome",
			"atividadesCaracterizacao.atividade.parametros.codigo",
			"atividadesCaracterizacao.atividade.parametros.casasDecimais",
			"atividadesCaracterizacao.atividade.parametros.descricao",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.valorParametro",
			"atividadesCaracterizacao.atividade.id",
			"atividadesCaracterizacao.atividade.potencialPoluidor.valorPpd",
			"atividadesCaracterizacao.atividade.dentroEmpreendimento",
			"atividadesCaracterizacao.atividade.nome",
			"atividadesCaracterizacao.atividade.codigo",
			"atividadesCaracterizacao.atividade.tipoEstudo",
			"atividadesCaracterizacao.atividadesCnae.nome",
			"atividadesCaracterizacao.atividadesCnae.codigo",
			"atividadesCaracterizacao.geometriasAtividade.geometria",
			"atividadesCaracterizacao.porteEmpreendimento.nome",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.nome",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento.id",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento.caminho",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento.dataCadastro",
			"empreendimento.empreendimentoEU.pessoa.type",
			"empreendimento.municipio.id",
			"empreendimento.municipio.estado.codigo",
			"empreendimento.municipio.estado.limite",
			"empreendimento.coordenadas",
			"empreendimento.localizacao",
			"empreendimento.imovel.limite",
			"empreendimento.imovel.codigo",
			"empreendimento.empreendimentoEU.denominacao",
			"empreendimento.empreendimentoEU.localizacao",
			"empreendimento.empreendimentoEU.localizacao.geometria",
			"respostas.texto",
			"respostas.pergunta.texto",
			"respostas.pergunta.atividades.id",
			"respostas.pergunta.atividades.nome",
			"questionario3.consumoAguaRedePublicaConsumoMedio",
			"questionario3.consumoAguaRedePublicaUsoDomestico",
			"questionario3.consumoAguaRedePublicaUsoIndustrial",
			"questionario3.consumoAguaAguaSubterraneaConsumoMedio",
			"questionario3.consumoAguaAguaSubterraneaUsoDomestico",
			"questionario3.consumoAguaAguaSubterraneaUsoIndustrial",
			"questionario3.consumoAguaAguaSuperficialConsumoMedio",
			"questionario3.consumoAguaAguaSuperficialUsoDomestico",
			"questionario3.consumoAguaAguaSuperficialUsoIndustrial",
			"questionario3.consumoAguaRedePublica",
			"questionario3.consumoAguaAguaSubterranea",
			"questionario3.consumoAguaAguaSuperficial",
			"questionario3.efluentesDomesticoVazaoMedia",
			"questionario3.efluentesDomesticoRegimeCarga",
			"questionario3.efluentesDomesticoTipoTratamentoEte",
			"questionario3.efluentesDomesticoTipoTratamentoFossaSeptica",
			//"questionario3.efluentesDomesticoTipoTratamentoFossaFiltro",
			//"questionario3.efluentesDomesticoTipoTratamentoRemocaoOleoGraxa",
			"questionario3.efluentesDomesticoTipoTratamentoOutros",
			"questionario3.efluentesDomesticoTipoTratamentoOutrosEspecificar",
			"questionario3.efluentesDomesticoDestinoFinalFossaSeptica",
			//"questionario3.efluentesDomesticoDestinoFinalFossaFiltro",
			"questionario3.efluentesDomesticoDestinoFinalEte",
			//"questionario3.efluentesDomesticoDestinoFinalRemocaoOleoGraxa",
			"questionario3.efluentesDomesticoDestinoFinalOutros",
			"questionario3.efluentesDomesticoDestinoFinalOutrosEspecificar",
			"questionario3.efluentesIndustrialVazaoMedia",
			"questionario3.efluentesIndustrialRegimeCarga",
			"questionario3.efluentesIndustrialTipoTratamentoEte",
			"questionario3.efluentesIndustrialTipoTratamentoFossaSeptica",
			"questionario3.efluentesIndustrialTipoTratamentoFossaFiltro",
			"questionario3.efluentesIndustrialTipoTratamentoRemocaoOleoGraxa",
			"questionario3.efluentesIndustrialTipoTratamentoValaDeInfiltracao",
			"questionario3.efluentesIndustrialTipoTratamentoOutros",
			"questionario3.efluentesIndustrialTipoTratamentoOutrosEspecificar",
			"questionario3.efluentesIndustrialDestinoFinalFossaSeptica",
			"questionario3.efluentesIndustrialDestinoFinalFossaFiltro",
			"questionario3.efluentesIndustrialDestinoFinalRemocaoOleoGraxa",
			"questionario3.efluentesIndustrialDestinoFinalLancamentoCorpoHidrico",
			"questionario3.efluentesIndustrialDestinoFinalValaDeInfiltracao",
			"questionario3.efluentesIndustrialDestinoFinalOutros",
			"questionario3.efluentesIndustrialDestinoFinalOutrosEspecificar",
			"questionario3.efluentesDomestico",
			"questionario3.efluentesIndustrial",
			"questionario3.residuosSolidosDomesticoQuantidadeMedia",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoCompostagem",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosDomesticoTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosDomesticoTipoColetaPublica",
			"questionario3.residuosSolidosDomesticoTipoColetaPropria",
			"questionario3.residuosSolidosDomesticoTipoColetaTerceiros",
			"questionario3.residuosSolidosDomesticoTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosEscritorioQuantidadeMedia",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosEscritorioTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosEscritorioTipoColetaPublica",
			"questionario3.residuosSolidosEscritorioTipoColetaPropria",
			"questionario3.residuosSolidosEscritorioTipoColetaTerceiros",
			"questionario3.residuosSolidosEscritorioTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosIndustrialQuantidadeMedia",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoAterroIndustrial",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoReaproveitamentoProcesso",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosIndustrialTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosIndustrialTipoColetaPublica",
			"questionario3.residuosSolidosIndustrialTipoColetaPropria",
			"questionario3.residuosSolidosIndustrialTipoColetaTerceiros",
			"questionario3.residuosSolidosIndustrialTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosIndustrialPerigososQuantidadeMedia",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoReciclagem",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoAterroIndustrial",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosIndustrialPerigososTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaPublica",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaPropria",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaTerceiros",
			"questionario3.residuosSolidosIndustrialPerigososTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosOutrosOrigem",
			"questionario3.residuosSolidosOutrosQuantidadeMedia",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoAterroSanitario",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoAterroCeuAberto",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoIncineracao",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoOutros",
			"questionario3.residuosSolidosOutrosTratamentoDisposicaoOutrosEspecificar",
			"questionario3.residuosSolidosOutrosTipoColetaPublica",
			"questionario3.residuosSolidosOutrosTipoColetaPropria",
			"questionario3.residuosSolidosOutrosTipoColetaTerceiros",
			"questionario3.residuosSolidosOutrosTipoColetaTerceirosEspecificar",
			"questionario3.residuosSolidosDomestico",
			"questionario3.residuosSolidosEscritorio",
			"questionario3.residuosSolidosIndustrial",
			"questionario3.residuosSolidosIndustrialPerigosos",
			"questionario3.residuosSolidosOutros",
			"questionario3.consumoAgua",
			"questionario3.efluentes",
			"questionario3.residuosSolidos",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.nome",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.caminhoModelo",
			"solicitacoesDocumentoCaracterizacao.documento.id",
			"solicitacoesDocumentoCaracterizacao.documento.dataCadastro",
			"solicitacoesDocumentoCaracterizacao.documento.caminho",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimento.codigo",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimentoParaCalculoDoPorte.codigo",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.porteEmpreendimentoParaCalculoDoPorte.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.nome",
			"atividadeCaracterizacaoMaiorPotencialPoluidorEPorte.atividade.potencialPoluidor.valorPpd",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.valorParametro",
			"tipoLicenca.nome",
			"tipoLicenca.taxaAdministrativa",
			"tipoLicenca.taxaLicenca",
			"tipoLicenca.valorDae",
			"tipoLicenca.finalidade",
			"tipoLicenca.isento",
			"tipoLicenca.sigla",
			"tiposLicencaEmAndamento.nome",
			"tiposLicencaEmAndamento.sigla",
			"status.id",
			"status.nome",
			"status.codigo",
			"etapaRascunho",
			"geometriasComplexo.geometria",
			// Verificar se é necessário, pois campo foi movido:
			//   solicitacoesGruposDocumentos -> atividadesCaracterizacao.solicitacoesGruposDocumentos
			"solicitacoesGruposDocumentos.tipoDocumento.nome",
			"solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo",
			"solicitacoesGruposDocumentos.documento.id",
			"solicitacoesGruposDocumentos.documento.caminho",
			"solicitacoesGruposDocumentos.documento.dataCadastro",
			//"valorTaxaAdministrativa",
			"processo.numero",
			"numero",
			"numeroLicenca",
			"nomePessoaEmpreendimento",
			"cpfCnpjPessoaEmpreendimento",
			"processoOutorga")
			.transform(new GeometryTransformer(), Geometry.class);

	public static JSONSerializer updateEtapaAtividade = SerializerUtil.create(
			"atividadesCaracterizacao.valorTaxaLicenciamento",
			"atividadesCaracterizacao.atividade.atividadesCnae.id",
			"atividadesCaracterizacao.atividade.atividadesCnae.nome",
			"atividadesCaracterizacao.atividade.atividadesCnae.codigo",
			"atividadesCaracterizacao.atividade.codigo",
			"atividadesCaracterizacao.atividade.dentroEmpreendimento",
			"atividadesCaracterizacao.atividade.dentroMunicipio",
			"atividadesCaracterizacao.atividade.grupoDocumento.id",
			"atividadesCaracterizacao.atividade.id",
			"atividadesCaracterizacao.atividade.nome",
			"atividadesCaracterizacao.atividade.tipoEstudo",
			"atividadesCaracterizacao.atividade.parametros.id",
			"atividadesCaracterizacao.atividade.parametros.nome",
			"atividadesCaracterizacao.atividade.parametros.codigo",
			"atividadesCaracterizacao.atividade.parametros.casasDecimais",
			"atividadesCaracterizacao.atividade.parametros.descricao",
			"atividadesCaracterizacao.atividade.parametros.valorParametro",
			"atividadesCaracterizacao.atividade.siglaSetor",
			"atividadesCaracterizacao.atividade.temLinha",
			"atividadesCaracterizacao.atividade.temPonto",
			"atividadesCaracterizacao.atividade.temPoligono",
			"atividadesCaracterizacao.atividade.tipologia.nome",
			"atividadesCaracterizacao.atividade.tiposAtividade.codigo",
			"atividadesCaracterizacao.atividade.tiposAtividade.nome",
			"atividadesCaracterizacao.atividade.tiposLicenca.id",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.casasDecimais",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.codigo",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.descricao",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.id",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.nome",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.parametroAtividade.valorParametro",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.valorParametro",
			"solicitacoesDocumentoCaracterizacao.id",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.nome",
			"solicitacoesDocumentoCaracterizacao.obrigatorio",
			"solicitacoesDocumentoCaracterizacao.tipoDocumento.caminhoModelo",
			"solicitacoesDocumentoCaracterizacao.documento",
			"solicitacoesDocumentoCaracterizacao.documento.dataCadastro",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.id",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.nome",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.tipoDocumento.caminhoModelo",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.obrigatorio",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento",
			"atividadesCaracterizacao.solicitacoesGruposDocumentos.documento.dataCadastro",
			"atividadesCaracterizacao.atividadeCaracterizacaoParametros.id",
			"atividadesCaracterizacao.isPrincipal",
			"atividadesCaracterizacao.caracterizacao.id",
			"atividadesCaracterizacao.geometriasAtividade.id",
			"atividadesCaracterizacao.geometriasAtividade.area",
			"atividadesCaracterizacao.geometriasAtividade.geometria");

}
